data{
  int n;
  int nbetaS;
  vector[n] x;
  vector[n] Time;
  vector[n] bi0;
  vector[n] bi1;
  vector[3] betaL;
  vector[n] death;
}

parameters{
  vector[nbetaS] betaS;
  real alpha;
}

model{
// ------------------------------------------------------
//        LOG-LIKELIHOOD FOR SURVIVAL SUBMODEL                
// ------------------------------------------------------
{
  vector[n] h;
  // vector[n] mubase;
  vector[n] cumHaz;

  for(i in 1:n){
       // Hazard
       h[i] = exp( betaS[1] + betaS[2] * x[i] + alpha * ( betaL[1] + bi0[i] + (betaL[2] + bi1[i]) * Time[i] + betaL[3] * x[i] ) );
       // mubase[i] = betaL[1] + bi0[i] + betaL[3] * x[i];

       // Cumulative hazard H[t] = int_0^t h[u] du
       cumHaz[i] = ( h[i] - exp( betaS[1] + betaS[2] * x[i] + alpha * (betaL[1] + bi0[i] + betaL[3] * x[i]) ) ) / ( alpha * ( betaL[2] + bi1[i] ) ); 
	
       // Survival log-likelihood
       target += death[i] * log(h[i]) - cumHaz[i];
  }
}  
// ------------------------------------------------------
//                       LOG-PRIORS                       
// ------------------------------------------------------
   // Survival fixed effects
   target += normal_lpdf(betaS | 0, 100);  
 
   // Association parameter
   target += normal_lpdf(alpha | 0, 100);

}